r7011 - in trunk/BOOK: . introduction/welcome x/lib

randy at linuxfromscratch.org randy at linuxfromscratch.org
Fri Aug 3 13:20:40 PDT 2007


Author: randy
Date: 2007-08-03 14:20:40 -0600 (Fri, 03 Aug 2007)
New Revision: 7011

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/x/lib/goffice.xml
Log:
Updated to GOffice-0.4.2

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2007-08-03 18:55:34 UTC (rev 7010)
+++ trunk/BOOK/general.ent	2007-08-03 20:20:40 UTC (rev 7011)
@@ -423,7 +423,7 @@
 <!ENTITY hicolor-icon-theme-version   "0.10">
 <!ENTITY libxklavier-version          "3.2">
 <!ENTITY freeglut-version             "2.4.0">
-<!ENTITY goffice-version              "0.2.2">
+<!ENTITY goffice-version              "0.4.2">
 
 <!-- Chapter 27 -->
 <!ENTITY sawfish-version              "1.3">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2007-08-03 18:55:34 UTC (rev 7010)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2007-08-03 20:20:40 UTC (rev 7011)
@@ -45,6 +45,9 @@
       <para>August 3rd, 2007</para>
       <itemizedlist>
         <listitem>
+          <para>[randy] - Updated to GOffice-0.4.2.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated to SLIB-3a4.</para>
         </listitem>
         <listitem>
@@ -52,9 +55,9 @@
           breaks the current GnuCash instructions, so a note has been placed
           on the GnuCash page to use the stable BLFS book to install the
           package. This note is temporary and will be removed when GnuCash
-          is updated to version 2.x. Since there are no other BLFS packages
-          which depend on the GNOME-1.4 libraries, the entire GNOME-1.4
-          section of the book has been commented out.</para>
+          is updated to version 2.x. Since no other BLFS packages depend on the
+          GNOME-1.4 libraries, the entire GNOME-1.4 section of the book has
+          been commented out.</para>
         </listitem>
       </itemizedlist>
     </listitem>

Modified: trunk/BOOK/x/lib/goffice.xml
===================================================================
--- trunk/BOOK/x/lib/goffice.xml	2007-08-03 18:55:34 UTC (rev 7010)
+++ trunk/BOOK/x/lib/goffice.xml	2007-08-03 20:20:40 UTC (rev 7011)
@@ -4,11 +4,11 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY goffice-download-http "&gnome-download-http;/goffice/0.2/goffice-&goffice-version;.tar.bz2">
-  <!ENTITY goffice-download-ftp  "&gnome-download-ftp;/goffice/0.2/goffice-&goffice-version;.tar.bz2">
-  <!ENTITY goffice-md5sum        "a2bffd6eeb7609ea19936c8f6efb46fc">
-  <!ENTITY goffice-size          "1.4 MB">
-  <!ENTITY goffice-buildsize     "43 MB">
+  <!ENTITY goffice-download-http "&gnome-download-http;/goffice/0.4/goffice-&goffice-version;.tar.bz2">
+  <!ENTITY goffice-download-ftp  "&gnome-download-ftp;/goffice/0.4/goffice-&goffice-version;.tar.bz2">
+  <!ENTITY goffice-md5sum        "eb72fe8caf7cb4e526671323f6bd4819">
+  <!ENTITY goffice-size          "1.7 MB">
+  <!ENTITY goffice-buildsize     "52 MB">
   <!ENTITY goffice-time          "1.0 SBU">
 ]>
 
@@ -63,8 +63,9 @@
     <bridgehead renderas="sect3">GOffice Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="libgsf"/> and
-    <xref linkend="pango"/></para>
+    <para role="required"><xref linkend="libgsf"/>,
+    <xref linkend="pango"/>, and
+    <xref linkend="pcre"/></para>
 
     <bridgehead renderas="sect4">Recommended (for the User Interface
     functionality)</bridgehead>
@@ -79,16 +80,12 @@
     command in the instructions below.</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="intltool"/> and
+    <para role="optional"><xref linkend="intltool"/>,
+    <xref linkend="gtk-doc"/>, and
     <xref linkend="libgnomeui"/>
     (with <application>libgsf</application> built to support GNOME by creating
     the <filename class='libraryfile'>libgsf-gnome-1</filename> library)</para>
 
-    <!-- Currently broken
-    <xref linkend="cairo"/> (already installed if you
-    installed the recommended dependencies)
-    -->
-
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/goffice"/></para>
 
@@ -111,6 +108,14 @@
 
   </sect2>
 
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
   <sect2 role="content">
     <title>Contents</title>
 
@@ -121,10 +126,10 @@
 
       <seglistitem>
         <seg>None</seg>
-        <seg>libgoffice-1.so and numerous support plugins</seg>
-        <seg>/usr/include/libgoffice-1,
+        <seg>libgoffice-0.so and numerous support plugins</seg>
+        <seg>/usr/include/libgoffice-0.4,
         /usr/lib/goffice,
-        /usr/share/{,pixmaps/}goffice</seg>
+        /usr/share/{gtk-doc/html/goffice,{pixmaps/}goffice}</seg>
       </seglistitem>
     </segmentedlist>
 
@@ -134,12 +139,12 @@
       <?dbhtml list-presentation="table"?>
 
       <varlistentry id="libgoffice">
-        <term><filename class='libraryfile'>libgoffice-1.so</filename></term>
+        <term><filename class='libraryfile'>libgoffice-0.so</filename></term>
         <listitem>
           <para>contains API functions to provide support for document centric
           objects and utilities.</para>
           <indexterm zone="goffice libgoffice">
-            <primary sortas="c-libgoffice-1">libgoffice-1.so</primary>
+            <primary sortas="c-libgoffice-0">libgoffice-0.so</primary>
           </indexterm>
         </listitem>
       </varlistentry>




More information about the blfs-book mailing list